<script>
    var requireJS = [];
    loadJS(requireJS, "js/common.js");
    loadJS(requireJS, "js/views/reports_orders.js");
</script>

<div class="page-title">
    <div class="title_left">
        <h3 th:text="#{reports.orders.ordersByCountry}"></h3>
    </div>
</div>

<div class="clearfix"></div>

<div class="row">

    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">
                <div class="search-bar" style="overflow: auto">
                    <div class="col-md-12">                        
                        <span th:text="#{countryName}">País:</span>                  
                        <select name="country" id="country">
                            <option th:selected="${country == 'all'}" value="all" th:text="#{all}">Todos</option>
                            <option th:each="c : ${countriesCombo}" th:selected="${country == c}" th:value="${c}" th:text="#{${c}}">España</option>
                        </select>
                        &nbsp;
                        <span th:text="#{month}">Mes:</span>
                        <select id="month" name="month">
                            <option value="-1" th:selected="${month == null || month == '-1'}" th:text="#{all}">Todos</option>
                            <option value="1" th:selected="${month != null && month == '1'}" th:text="#{january}">Enero</option>
                            <option value="2" th:selected="${month != null && month == '2'}" th:text="#{february}">Febrero</option>
                            <option value="3" th:selected="${month != null && month == '3'}" th:text="#{march}">Marzo</option>
                            <option value="4" th:selected="${month != null && month == '4'}" th:text="#{april}">Abril</option>
                            <option value="5" th:selected="${month != null && month == '5'}" th:text="#{may}">Mayo</option>
                            <option value="6" th:selected="${month != null && month == '6'}" th:text="#{june}">Junio</option>
                            <option value="7" th:selected="${month != null && month == '7'}" th:text="#{july}">Julio</option>
                            <option value="8" th:selected="${month != null && month == '8'}" th:text="#{august}">Agosto</option>
                            <option value="9" th:selected="${month != null && month == '9'}" th:text="#{september}">Septiembre</option>
                            <option value="10" th:selected="${month != null && month == '10'}" th:text="#{october}">Octubre</option>
                            <option value="11" th:selected="${month != null && month == '11'}" th:text="#{november}">Noviembre</option>
                            <option value="12" th:selected="${month != null && month == '12'}" th:text="#{december}">Diciembre</option>                              
                        </select>
                        &nbsp;
                        <span th:text="#{year}">Año:</span>
                        <select id="year" name="year">
                            <option value="-1" th:selected="${year == null || year == '-1'}" th:text="#{all}">Todos</option>
                            <option value="2017" th:selected="${year != null && year == '2017'}">2017</option>
                            <option value="2018" th:selected="${year != null && year == '2018'}">2018</option>    
                            <option value="2019" th:selected="${year != null && year == '2019'}">2019</option>    
                            <option value="2020" th:selected="${year != null && year == '2020'}">2020</option>    
                            <option value="2021" th:selected="${year != null && year == '2021'}">2021</option>    
                        </select>
                        &nbsp;
                        <span th:text="#{currency}">Moneda:</span>
                        <select name="currency" id="currency">
                            <option th:selected="${currency == null || currency == 'all'}" value="all">Local</option>
                            <option th:selected="${currency == 'USD'}" value="USD">Dólares</option>
                            <option th:selected="${currency == 'EUR'}" value="EUR">Euro</option>
                        </select>
                        &nbsp;
                        <span th:text="#{since}">Desde:</span>
                        <input type="date" th:value="${from}" placeholder="Desde" name="from" id="from"/>
                        &nbsp;
                        <span th:text="#{until}">Hasta:</span>
                        <input type="date" th:value="${to}" placeholder="Hasta" name="to" id="to"/>
                        &nbsp;
                        <button class="btn btn-info btn-sm" id="search-button"><i class="fa fa-search"></i>&nbsp;<span th:text="#{search}"></span></button>
                        <a class="btn btn-info export pull-right" target="_blank" id="export" ><i class="fa fa-file-excel-o"></i> Exportar tabla</a>
                    </div>
                </div>
                <div class="clearfix"></div>
            </div>

            <div class="x_content">
                <div class="table-responsive" th:each="t : ${list}">
                    <strong th:text="${t.title}"></strong>
                    <table class="table table-condensed table-striped jambo_table">
                        <thead>
                            <tr class="headings">
                                <th th:each="col : ${t.columns}" th:text="${#messages.msgOrNull(col) != null} ? #{${col}} : ${col}"></th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr th:each="row : ${t.rows}">
                                <td th:each="cell : ${row}" th:text="${cell}"></td> 
                            </tr>
                            <tr>
                                <td th:each="sum : ${t.summary}">
                                    <strong th:text="${sum}"></strong>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>